
    Device = 18F452
    Xtal = 20   
    LCD_Type = Toshiba                 ' Target a Toshiba T6963 graphic LCD
$define SprintImageX2(P1, P2, P3, P4) '
                     DataPointer = P1 '
                            Ypos = P2 '
                            Xpos = P3 '
                          Invert = P4 '
               GoSub SubSprintImageX2
'
' LCD pin assignments      
'                      
    LCD_DTPort = PORTB                 ' Data port of the LCD
    LCD_WRPin  = PORTE.2               ' WR line of the LCD
    LCD_RDPin  = PORTE.1               ' RD line of the LCD
    LCD_CEPin  = PORTE.0               ' CE line of the LCD
    LCD_CDPin  = PORTA.1               ' CD line of the LCD
    LCD_RSTPin = PORTA.0               ' RESET line of the LCD (Optional)
'
' LCD characteristics
'    
    LCD_RAM_Size = 8192                ' 8192 bytes of RAM within display
    LCD_X_Res = 240                    '  240 pixels horizontally
    LCD_Y_Res = 64                     '   64 pixels vertically
    
' Ensure that an 8 pixel font is implemented for the LCD's circuit
    LCD_Font_Width = 8                 ' 8 pixel font
   
    DelayMS 200                        ' Wait for things to stabilize
    All_Digital = True                 ' Set PORTA and PORTE to digital mode
    Cls                                ' Clear both text and graphics of the LCD 
  
    Dim DataPointer As Word
    Dim Ypos As Byte
    Dim Xpos As Byte
    Dim Invert As Byte
    
    Dim ImageWidth As Byte
    Dim ImageHeight As Byte 
    Dim ImageXpos As Byte
    Dim ImageYpos As Byte  
    Dim DataByte As Byte     
GoTo OverSubs


SubSprintImageX2:                                    
    'SprintImage_X ImageAddress Ypos Xpos Invert
    'SprintImage_X ImageAddress Line Column Invert
    ImageWidth = (CRead DataPointer) - 1
    Inc DataPointer
    
    ImageHeight = (CRead DataPointer) - 1
    Inc DataPointer

    For ImageYpos = Ypos To (Ypos + ImageHeight)     ' Number of lines
'       'Write a Line
        For ImageXpos = Xpos To (Xpos + ImageWidth)  ' Number of Bytes
            DataByte = CRead DataPointer  'Could Point to SD routine to collect data
            If Invert = 1 Then
               DataByte = ~DataByte                  ' Invert Byte
            EndIf
            LCDWrite ImageYpos,ImageXpos,[DataByte]  ' Write it to the screen
            Inc DataPointer
        Next
    Next

Return 
OverSubs: 

' Note, you can copy and paste the macro, contained in code output from GLCD Data Mate
' Just fill in LinePos, CharPos and Invert with the appropriate values   
    SprintImageX2(BOMB64,0,0,0)
    Stop
 
GoTo OverBOMB64

' Toshiba, Horizontal Bytes - 64x64 Pixels - Data Bytes(512)
' Graphical - 8 Pixels Per Byte
' SprintImageX BOMB64,Yline,Xpos,Invert

BOMB64: 
CData $00,$00,$00,$00,$00,$10,$00,$00,_ ' Ypos 0
      $00,$00,$00,$00,$00,$30,$01,$80,_ ' Ypos 1
      $00,$00,$00,$00,$00,$38,$07,$80,_ ' Ypos 2
      $00,$00,$00,$00,$00,$78,$0F,$00,_ ' Ypos 3
      $00,$00,$00,$04,$00,$68,$1B,$00,_ ' Ypos 4
      $00,$00,$00,$07,$00,$CC,$76,$00,_ ' Ypos 5
      $00,$00,$00,$07,$C0,$CC,$C6,$00,_ ' Ypos 6
      $00,$00,$00,$03,$F1,$8F,$8C,$00,_ ' Ypos 7
      $00,$00,$07,$C1,$B9,$87,$0C,$00,_ ' Ypos 8
      $00,$00,$7F,$FF,$8F,$04,$0C,$00,_ ' Ypos 9
      $00,$01,$FF,$FF,$C3,$00,$18,$00,_ ' Ypos 10
      $00,$03,$FF,$FF,$E0,$00,$1F,$FF,_ ' Ypos 11
      $00,$07,$FF,$FF,$F8,$00,$1F,$BE,_ ' Ypos 12
      $00,$0F,$E0,$07,$FF,$C0,$00,$78,_ ' Ypos 13
      $00,$1F,$C0,$07,$FF,$C0,$01,$C0,_ ' Ypos 14
      $00,$1F,$80,$07,$7F,$E0,$07,$00,_ ' Ypos 15
      $00,$1F,$80,$1C,$1F,$C0,$1C,$00,_ ' Ypos 16
      $00,$1F,$80,$7F,$F0,$00,$18,$00,_ ' Ypos 17
      $00,$1F,$90,$7F,$F0,$00,$0C,$00,_ ' Ypos 18
      $00,$1F,$F8,$00,$61,$81,$06,$00,_ ' Ypos 19
      $00,$1F,$FC,$00,$6F,$83,$C7,$00,_ ' Ypos 20
      $00,$7F,$FC,$00,$FC,$C6,$E3,$00,_ ' Ypos 21
      $00,$7F,$FE,$01,$E0,$CC,$39,$80,_ ' Ypos 22
      $00,$7F,$FF,$FC,$80,$78,$0F,$C0,_ ' Ypos 23
      $00,$3F,$FF,$FF,$F0,$70,$03,$C0,_ ' Ypos 24
      $00,$3F,$FF,$FF,$FF,$20,$01,$E0,_ ' Ypos 25
      $00,$1F,$FF,$FF,$FF,$C0,$00,$60,_ ' Ypos 26
      $00,$1F,$FF,$FF,$FF,$F0,$00,$00,_ ' Ypos 27
      $00,$3F,$FF,$FF,$FF,$F8,$00,$00,_ ' Ypos 28
      $00,$FF,$FF,$FF,$FF,$FE,$00,$00,_ ' Ypos 29
      $01,$FF,$FF,$FF,$FF,$FF,$00,$00,_ ' Ypos 30
      $03,$FF,$FF,$FF,$FF,$FF,$80,$00,_ ' Ypos 31
      $07,$FF,$FF,$FF,$FF,$FF,$C0,$00,_ ' Ypos 32
      $0F,$FF,$FF,$FF,$FF,$FF,$E0,$00,_ ' Ypos 33
      $1F,$FF,$FF,$FF,$FF,$FF,$F0,$00,_ ' Ypos 34
      $1F,$FF,$FF,$FF,$FF,$FF,$F0,$00,_ ' Ypos 35
      $3F,$FF,$FF,$FF,$FF,$FF,$F8,$00,_ ' Ypos 36
      $3F,$FF,$FF,$FF,$FF,$FF,$F8,$00,_ ' Ypos 37
      $7F,$FF,$FF,$FF,$FF,$FF,$FC,$00,_ ' Ypos 38
      $7F,$FF,$FF,$FF,$FF,$FF,$FC,$00,_ ' Ypos 39
      $FF,$FF,$FF,$FF,$FF,$FF,$FC,$00,_ ' Ypos 40
      $FF,$FF,$FF,$FF,$FF,$FF,$FC,$00,_ ' Ypos 41
      $FF,$FF,$FF,$FF,$FF,$FF,$FE,$00,_ ' Ypos 42
      $FF,$FF,$FF,$FF,$FF,$FF,$FE,$00,_ ' Ypos 43
      $FF,$FF,$FF,$FF,$FF,$FF,$FE,$00,_ ' Ypos 44
      $FF,$FF,$FF,$FF,$FF,$FF,$FE,$00,_ ' Ypos 45
      $FF,$FF,$FF,$FF,$FF,$FF,$FC,$00,_ ' Ypos 46
      $7F,$FF,$FF,$FF,$FF,$FF,$FC,$00,_ ' Ypos 47
      $7F,$FF,$FF,$FF,$FF,$FF,$FC,$00,_ ' Ypos 48
      $3F,$FF,$FF,$FF,$FF,$FF,$F8,$00,_ ' Ypos 49
      $3F,$FF,$FF,$FF,$FF,$FF,$F8,$00,_ ' Ypos 50
      $1F,$FF,$FF,$FF,$FF,$FF,$F0,$00,_ ' Ypos 51
      $1F,$FF,$FF,$FF,$FF,$FF,$F0,$00,_ ' Ypos 52
      $0F,$FF,$FF,$FF,$FF,$FF,$E0,$00,_ ' Ypos 53
      $07,$FF,$FF,$FF,$FF,$FF,$C0,$00,_ ' Ypos 54
      $03,$FF,$FF,$FF,$FF,$FF,$80,$00,_ ' Ypos 55
      $01,$FF,$FF,$FF,$FF,$FF,$00,$00,_ ' Ypos 56
      $00,$FF,$FF,$FF,$FF,$FE,$00,$00,_ ' Ypos 57
      $00,$7F,$FF,$FF,$FF,$FC,$00,$00,_ ' Ypos 58
      $00,$1F,$FF,$FF,$FF,$F0,$00,$00,_ ' Ypos 59
      $00,$0F,$FF,$FF,$FF,$C0,$00,$00,_ ' Ypos 60
      $00,$03,$FF,$FF,$FF,$00,$00,$00,_ ' Ypos 61
      $00,$00,$FF,$FF,$F0,$00,$00,$00,_ ' Ypos 62
      $00,$00,$1F,$FF,$00,$00,$00,$00   ' Ypos 63
      
OverBOMB64:



